# List Lambda SDK

To view the list of their registered lambdas, a user  / an account would need to have to have been created and have an associated session by going through the [Authenticating with SDK](/authentication/passkeys/authentication/authenticating-with-sdk.md) flow. Once you have the required details you can call the sign method by instantiating a Passport instance from the SDK as shown below.

```javascript
import { Passport } from "@0xpass/passport";
import { WebauthnSigner } from "@0xpass/webauthn-signer";

const signer = new WebauthnSigner({
      rpId: window.location.hostname,
      rpName: "rpName",
});

const passport = new Passport({
    scopeId: "insert_your_scope_id",
    signer: signer
});

const userInput {
   username: "insert_username_here"
   userDisplayName: "insert_user_display_name_here"
}

await passport.setupEncryption(); 
await passport.authenticate(userInput);


// Generate a threshold signature
const lambdas = await passport.listLambda();
console.log(lambdas);
```

#### listLambda Response

A successful response return list of lambda objects currently registered with user.

```json
{
    "jsonrpc": "2.0",
    "result": [
        {
            "id": "153634-f572-40ee-ba2a-efee345a3691",
            "config": {
                "actions": {
                    "data": "0x000000",
                    "substitution": true,
                    "type": "personal_sign"
                },
                "authorization": {
                    "type": "none"
                },
                "triggers": [
                   { "type": "hook"},
                ],
                "conditions": [
                    {
                        "code": "return true",
                        "output_type": "integer",
                        "substitution": true,
                        "type": "code"
                    }
                ],
                "envs": [],
                "max_executions": 0,
                "postHook": [],
                "verifications": {
                    "count": 1
                }
            },
            "status": "ready",
            "proof": null,
            "created_at": "2024-03-29T19:28:43",
            "updated_at": "2024-03-29T19:46:48",
            "total_executions": 2,
            "ok_executions": 2
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0xpass.io/programmability/lambda-functions/list-lambda/list-lambda-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
